# Uses of Enum
org.apache.avro.util.springframework.ConcurrentReferenceHashMap.ReferenceType

Packages that use ConcurrentReferenceHashMap.ReferenceType
Package
Description
org.apache.avro.util.springframework

## Uses of ConcurrentReferenceHashMap.ReferenceType in org.apache.avro.util.springframework

Methods in org.apache.avro.util.springframework that return ConcurrentReferenceHashMap.ReferenceType
Modifier and Type
Method
Description
`static ConcurrentReferenceHashMap.ReferenceType`
ConcurrentReferenceHashMap.ReferenceType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ConcurrentReferenceHashMap.ReferenceType[]`
ConcurrentReferenceHashMap.ReferenceType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in org.apache.avro.util.springframework with parameters of type ConcurrentReferenceHashMap.ReferenceType
Modifier
Constructor
Description
``
`ConcurrentReferenceHashMap(int initialCapacity, float loadFactor, int concurrencyLevel, ConcurrentReferenceHashMap.ReferenceType referenceType)`
Create a new `ConcurrentReferenceHashMap` instance.
``
`ConcurrentReferenceHashMap(int initialCapacity, ConcurrentReferenceHashMap.ReferenceType referenceType)`
Create a new `ConcurrentReferenceHashMap` instance.